# Bulk order status change

The endpoint allows you to change the status for multiple order codes simultaneously.



Non-existing order codes are skipped and summarized in response errors. The request process continues even if some 
order codes are skipped.



If you try to set the status that the order already has, no change is done and the request process continues.



If at least one order code is processed successfully, the response code is 200. If all the order codes are 
skipped, the response code is 400. If basic validation of data fails, the response code is 422 and the request 
is not processed.



Status definition can include an e-mail/SMS sending, or document generation. To suppress these types of consequences
you can use following query parameters: suppressEmailSending=true, suppressSmsSending=true,
suppressDocumentGeneration=true.

Endpoint: PATCH /api/orders/status-change
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `suppressDocumentGeneration` (boolean)
    Suppress the generation of linked documents.
    Example: true

  - `suppressEmailSending` (boolean)
    Suppress sending the linked information e-mails.
    Example: true

  - `suppressSmsSending` (boolean)
    Suppress sending the linked information SMS messages.
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.orderCodes` (array, required)
    order codes

  - `data.statusId` (number, required)
    order status identifier

## Response 200 fields (application/json):

  - `data` (object,null, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 400 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 422 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


